#
# spec file for package python-xlrd
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-xlrd
Version:        0.9.2
Release:        11.2
Url:            http://www.lexicon.net/sjmachin/xlrd.htm
Summary:        Library for Developers to Extract Data From Microsoft Excel Spreadsheet Files
License:        BSD-4-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/x/xlrd/xlrd-%{version}.tar.gz
# Test files missing in the 0.9.2 tarball. https://github.com/python-excel/xlrd/issues/49
Source1:        reveng1.xlsx
Source2:        text_bar.xlsx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Extract data from new and old Excel spreadsheets on any platform. Pure Python
(2.1 to 2.6). Strong support for Excel dates. Unicode-aware.

%prep
%setup -q -n xlrd-%{version}
# Add missing test files
cp %{SOURCE1} %{SOURCE2} tests/

%build
python setup.py build

%check
nosetests

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/runxlrd.py %{buildroot}%{_bindir}/runxlrd

%files
%defattr(-,root,root,-)
%doc xlrd/doc/* xlrd/examples README.html
%{_bindir}/runxlrd
%{python_sitelib}/*

%changelog
* Tue Apr 30 2013 toddrme2178@gmail.com
- Remove unnecessary .py extension from executable
- Fix python2/python3 executable name conflict
* Tue Apr 16 2013 jfunk@funktronics.ca
- Update to 0.9.2:
  - Bug fixes
- Changes from 0.9.1:
  * Removed support for Python < 2.6
  * Bug fixes
- Changes from 0.9.0:
  * Python3 support
  * Expanded tests
  * Bug fixes
- Spec cleanup
* Tue Nov 13 2012 jfunk@funktronics.ca
- Update to 0.8.0
  * This release finally lands the support for both .xls and .xlsx files. Many
    thanks to John Machin for all his work on making this happen. Opening of
    .xlsx files is seamless, just use xlrd as you did before and it all should
    "just work".
  * xlrd 0.8.0 is also the first release that that targets Python 2.6 and 2.7,
    but no Python 3 just yet. Python 2.5 and below may work but are not
    supported. If you need to use Python 2.5 or earlier, please stick to xlrd
    0.7.x.
* Fri Apr 27 2012 jfunk@funktronics.ca
- Update to 0.7.7
  * Changelog information unavailable
* Fri Apr  6 2012 jfunk@funktronics.ca
- Update to 0.7.6:
  * Changelog information unavailable
* Tue Feb 28 2012 jfunk@funktronics.ca
- Update to 0.7.3
* Tue Feb 21 2012 jfunk@funktronics.ca
- Update to 0.7.2
- Update spec for current conventions
* Wed May 12 2010 jfunk@funktronics.ca
- Initial release
